Skip to main content
POST
/
2025-04
/
marketing-solutions
/
audience-segments
/
search
/2025-04/marketing-solutions/audience-segments/search
curl --request POST \
  --url https://api.criteo.com/2025-04/marketing-solutions/audience-segments/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "advertiserIds": [
        "<string>"
      ],
      "audienceSegmentIds": [
        "<string>"
      ],
      "audienceSegmentTypes": []
    },
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/2025-04/marketing-solutions/audience-segments/search"

payload = { "data": {
        "attributes": {
            "advertiserIds": ["<string>"],
            "audienceSegmentIds": ["<string>"],
            "audienceSegmentTypes": []
        },
        "type": "<string>"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    data: {
      attributes: {
        advertiserIds: ['<string>'],
        audienceSegmentIds: ['<string>'],
        audienceSegmentTypes: []
      },
      type: '<string>'
    }
  })
};

fetch('https://api.criteo.com/2025-04/marketing-solutions/audience-segments/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "attributes": {
        "advertiserId": "<string>",
        "behavioral": {
          "country": "<string>",
          "endDate": "2023-11-07T05:31:56Z",
          "startDate": "2023-11-07T05:31:56Z"
        },
        "contactList": {
          "isReadOnly": true
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "inMarket": {
          "brandIds": [
            "<string>"
          ],
          "buyingPower": [],
          "country": "<string>",
          "interestIds": [
            "<string>"
          ],
          "priceRange": []
        },
        "location": {
          "pointsOfInterest": [
            {
              "latitude": 123,
              "longitude": 123,
              "name": "<string>"
            }
          ],
          "radiusInKm": 123
        },
        "lookalike": {
          "seedSegmentId": "<string>",
          "targetSize": 123
        },
        "name": "<string>",
        "prospecting": {
          "daysSinceLastVisitMax": 123,
          "daysSinceLastVisitMin": 123
        },
        "retargeting": {
          "daysSinceLastVisitMax": 123,
          "daysSinceLastVisitMin": 123
        },
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "meta": {
    "limit": 123,
    "offset": 123,
    "totalItems": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer<int32>
default:50

The number of elements to be returned. The default is 50 and the maximum is 100.

Required range: 0 <= x <= 100
offset
integer<int32>
default:0

The (zero-based) offset into the collection. The default is 0.

Body

application/json

Segment search filters.

Audience segment search parameter

data
object

A top-level object that encapsulates a Criteo API response for a single value

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several entities and metadata

data
object[] | null
errors
object[] | null
read-only
meta
object | null

Metadata for the audience segment search response.

warnings
object[] | null
read-only